commit:     aada253938880482eb9e52d146948e062aaea848
Author:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 16 16:24:23 2014 +0000
Commit:     Christoph Junghans <ottxor <AT> gentoo <DOT> org>
CommitDate: Tue Sep 16 16:24:23 2014 +0000
URL:        http://sources.gentoo.org/gitweb/?p=proj/sci.git;a=commit;h=aada2539

clean up

Package-Manager: portage-2.2.8-r1

---
 sci-biology/mgblast/ChangeLog          |  4 +++-
 sci-biology/mgblast/mgblast-0.1.ebuild | 20 ++++++++++----------
 2 files changed, 13 insertions(+), 11 deletions(-)

diff --git a/sci-biology/mgblast/ChangeLog b/sci-biology/mgblast/ChangeLog
index 5b62270..8a87f81 100644
--- a/sci-biology/mgblast/ChangeLog
+++ b/sci-biology/mgblast/ChangeLog
@@ -2,10 +2,12 @@
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  16 Sep 2014; Christoph Junghans <[email protected]> mgblast-0.1.ebuild:
+  clean up
+
 *mgblast-0.1 (24 Mar 2014)
 
   24 Mar 2014; Martin Mokrejs <[email protected]>
   +mgblast-0.1.ebuild, +metadata.xml:
   initial ebuild but while it needs an old version of ncbi-tools source tree to
   build ... it is not tested yet
-

diff --git a/sci-biology/mgblast/mgblast-0.1.ebuild 
b/sci-biology/mgblast/mgblast-0.1.ebuild
index 8b7011a..4638e9b 100644
--- a/sci-biology/mgblast/mgblast-0.1.ebuild
+++ b/sci-biology/mgblast/mgblast-0.1.ebuild
@@ -2,7 +2,7 @@
 # Distributed under the terms of the GNU General Public License v2
 # $Header: $
 
-EAPI=3
+EAPI=5
 
 DESCRIPTION="Customized version of megablast from TIGR Gene Indices project 
used by tgicl and gicl utilities"
 HOMEPAGE="http://compbio.dfci.harvard.edu/tgi/software/";
@@ -17,7 +17,7 @@ IUSE=""
 DEPEND="sci-biology/ncbi-tools"
 RDEPEND="${DEPEND}"
 
-S=${WORKDIR}
+S="${WORKDIR}"
 
 # mgblast needs old version of ncbi-tools unpacked and compiled during its own 
compilation
 # from newer tools you need to include blfmtutl.h but the next error is no go 
for me:
@@ -28,19 +28,19 @@ S=${WORKDIR}
 src_prepare(){
        # mgblast cannot be compiled against newer ncbi-tools but let's try
        mv mgblast/makefile mgblast/Makefile 2>/dev/null || true
-       sed -i 's#/usr/local/projects/tgi/ncbitoolkit/ncbi#/usr#' 
mgblast/Makefile
-       sed -i 's#NCBIDIR = /mylocal/src/ncbi#NCBIDIR = /usr#' mgblast/Makefile
-       sed -i 's#NCBI_INCDIR = .*#NCBI_INCDIR = /usr/include/ncbi#' 
mgblast/Makefile
-       sed -i 's#NCBI_LIBDIR = .*#NCBI_LIBDIR = /usr/lib#' mgblast/Makefile # 
a PATH to NCBI-TOOLKIT (/usr/lib) while NOT /usr/lib/ncbi-tools++ !
-       sed -i "s#-I-#-iquote#" mgblast/Makefile
+       sed -i 's#/usr/local/projects/tgi/ncbitoolkit/ncbi#/usr#' 
mgblast/Makefile || die
+       sed -i 's#NCBIDIR = /mylocal/src/ncbi#NCBIDIR = /usr#' mgblast/Makefile 
|| die
+       sed -i 's#NCBI_INCDIR = .*#NCBI_INCDIR = /usr/include/ncbi#' 
mgblast/Makefile || die
+       sed -i 's#NCBI_LIBDIR = .*#NCBI_LIBDIR = /usr/lib#' mgblast/Makefile || 
die # a PATH to NCBI-TOOLKIT (/usr/lib) while NOT /usr/lib/ncbi-tools++ !
+       sed -i "s#-I-#-iquote#" mgblast/Makefile || die
 }
 
 src_compile(){
-       cd ${S}/mgblast || die
+       cd "${S}"/mgblast || die
        emake || die "mgblast really needs an older ncbi-toolkit version so we 
are out of luck, install the binary provided by upstream instead from 
mgblast-bin package"
 }
 
 src_install(){
-       cd ${S}/mgblast || die
-       dobin mgblast || die
+       cd "${S}"/mgblast || die
+       dobin mgblast
 }

Reply via email to